
-- ----------------------------
2023-02-26
-- ----------------------------
ALTER TABLE mortals_xhx_matter_datum_print ADD COLUMN `matterId` bigint(20)      COMMENT '事项id' AFTER orderId;
ALTER TABLE mortals_xhx_matter_datum_print ADD COLUMN `matterName` varchar(2048) default ''     COMMENT '事项名称' AFTER matterId;
ALTER TABLE mortals_xhx_matter_datum_print ADD COLUMN `matterCode` varchar(255) default ''     COMMENT '事项编码' AFTER matterName;
ALTER TABLE mortals_xhx_matter_datum_print ADD COLUMN `deviceCode` varchar(255) default ''     COMMENT '设备编码' AFTER matterCode;
ALTER TABLE mortals_xhx_matter_datum_print ADD COLUMN `deviceName` varchar(255) default ''     COMMENT '设备名称' AFTER deviceCode;
ALTER TABLE mortals_xhx_matter_datum_print ADD COLUMN `idCard` varchar(64) default ''     COMMENT '身份证号' AFTER deviceName;
ALTER TABLE mortals_xhx_matter_datum_print ADD COLUMN `idName` varchar(64) default ''     COMMENT '身份证名称' AFTER idCard;
ALTER TABLE mortals_xhx_matter_datum_print ADD COLUMN `mobile` varchar(64) default ''     COMMENT '手机号码' AFTER idName;

-- ----------------------------
2023-03-22
-- ----------------------------
INSERT INTO `mortals_xhx_task` (`id`, `name`, `taskKey`, `status`, `excuteService`, `excuteParam`, `excuteHost`, `excuteStrategy`, `excuteDate`, `excuteTime`, `remark`, `lastExcuteHost`, `lastExcuteTime`, `interimExcuteStatus`, `createTime`, `createUserId`, `createUserName`) VALUES ('4', '同步设备', 'SyncSiteDeviceTask', '0', 'SyncSiteDeviceTask', NULL, NULL, '4', '120', '00:00', NULL, '127.0.1.1', '2023-02-26 22:15:59', '0', '2023-02-25 14:34:12', '1', NULL);


-- ----------------------------
2023-06-21
-- ----------------------------
ALTER TABLE mortals_xhx_device
    ADD COLUMN `deviceFirmId` bigint(20) DEFAULT NULL COMMENT '设备生产厂商ID' AFTER siteName;
ALTER TABLE mortals_xhx_device
    ADD COLUMN `deviceFirmname` varchar(200) DEFAULT NULL COMMENT '设备生产厂商名称' AFTER deviceFirmId;

ALTER TABLE mortals_xhx_device
    ADD COLUMN `ip` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '设备访问ip' AFTER deviceFirmname;

ALTER TABLE mortals_xhx_device
    ADD COLUMN `port` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '端口' AFTER ip;
ALTER TABLE mortals_xhx_device
    ADD COLUMN `enabled` tinyint(2) DEFAULT NULL COMMENT '启用状态 (0.停止，1.启用)' AFTER port;
ALTER TABLE mortals_xhx_device
    ADD COLUMN `onlineTime` datetime DEFAULT NULL COMMENT '最近上线时间' AFTER enabled;
ALTER TABLE mortals_xhx_device
    ADD COLUMN `offlineTime` datetime DEFAULT NULL COMMENT '最近离线时间' AFTER onlineTime;

-- ----------------------------
2024-01-15
-- ----------------------------

ALTER TABLE mortals_xhx_device
    ADD COLUMN `belong` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '所属机构' AFTER deviceRemark;



ALTER TABLE mortals_xhx_device
    ADD COLUMN `deviceInBuilding` tinyint(4)      COMMENT '所属楼栋';

ALTER TABLE mortals_xhx_device
    ADD COLUMN `deviceInFloor` tinyint(4)      COMMENT '所属楼层';

ALTER TABLE mortals_xhx_device
    ADD COLUMN  `resolution` varchar(255)      COMMENT '分辨率';


-- ----------------------------
2024-04-24
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_datum_info_field`;
CREATE TABLE `mortals_xhx_datum_info_field` (
    `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
    `datum_print_id` bigint(20) DEFAULT NULL COMMENT '填单打印id',
    `idCard` varchar(64) DEFAULT '' COMMENT '身份证号',
    `fieldCode` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '字段编码',
    `fieldName` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '字段名称',
    `fieldType` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '字段类型（input.单行输入框,textarea.多行输入框,SELECT.下拉选项框,date.日期选择框,checkbox.多项选择框）',
    `fieldTypeValue` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT '' COMMENT '字段类型值，当字段类型为多选，单选时候，预设复选值',
    `dataType` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '数据类型（number.数字,string.字符串,arrays.数组,obj.对象）',
    `fieldValue` text CHARACTER SET utf8 COLLATE utf8_general_ci COMMENT '字段值',
    `defaultValue` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT '' COMMENT '字段默认值',
    `fieldLen` int(9) DEFAULT NULL COMMENT '数据长度，默认128',
    `fieldNull` tinyint(2) DEFAULT NULL COMMENT '是否允许为空，(0.否,1.是)',
    `isList` tinyint(2) DEFAULT NULL COMMENT '字段是否列表显示(0.否,1.是)',
    `fieldOrderNo` int(9) DEFAULT NULL COMMENT '排序号',
    `remark` varchar(1024) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '备注',
    `createTime` datetime DEFAULT NULL COMMENT '创建时间',
    `createUserId` bigint(20) DEFAULT NULL COMMENT '创建用户',
    `updateTime` datetime DEFAULT NULL COMMENT '修改时间',
    `updateUserId` bigint(20) DEFAULT NULL COMMENT '修改用户',
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='填单用户信息字段';



-- ----------------------------
-- 2025-02-11
-- ----------------------------

-- ----------------------------
-- 应用列表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_app_config`;
CREATE TABLE mortals_xhx_app_config(
       `id` bigint(20)   AUTO_INCREMENT   COMMENT '主键，自增长',
       `siteId` bigint(20)      COMMENT '站点ID',
       `siteName` varchar(64)      COMMENT '站点名称',
       `siteCode` varchar(64)      COMMENT '站点编号',
       `appId` bigint(20)      COMMENT '应用ID',
       `appCode` varchar(64)      COMMENT '应用编码',
       `appName` varchar(64)      COMMENT '应用名称',
       `order` int(9)      COMMENT '应用顺序',
       `createTime` datetime      COMMENT '创建时间',
       `createUserId` bigint(20)      COMMENT '创建用户',
       `updateTime` datetime      COMMENT '修改时间',
       PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='应用';

-- ----------------------------
-- 2025-06-11
-- ----------------------------

ALTER TABLE `mortals_xhx_datum_info_field`
ADD COLUMN `openId` varchar(64) DEFAULT NULL COMMENT '微信openid',
ADD COLUMN `mobile` varchar(64) DEFAULT NULL COMMENT '手机号码',
ADD COLUMN `datumPrintId` bigint(20) DEFAULT NULL COMMENT '填单打印id',
ADD COLUMN `matterId` bigint(20) DEFAULT NULL COMMENT '事项id',
ADD COLUMN `matterName` varchar(1024) DEFAULT NULL COMMENT '事项名称',
ADD COLUMN `materialId` bigint(20) DEFAULT NULL COMMENT '材料id',
ADD COLUMN `materialName` varchar(1024) DEFAULT NULL COMMENT '材料名称';

CREATE TABLE `mortals_xhx_user_fill_history` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `openId` varchar(64) DEFAULT NULL COMMENT '微信openid',
  `idCard` varchar(64) DEFAULT NULL COMMENT '身份证号码',
  `mobile` varchar(64) DEFAULT NULL COMMENT '手机号码',
  `matterId` bigint(20) DEFAULT NULL COMMENT '事项id',
  `matterName` varchar(1024) DEFAULT NULL COMMENT '事项名称',
  `materialId` bigint(20) DEFAULT NULL COMMENT '材料id',
  `materialName` varchar(1024) DEFAULT NULL COMMENT '材料名称',
  `preViewPath` varchar(256) DEFAULT NULL COMMENT '预览地址',
  `formContent` mediumtext COMMENT '提交的表单',
  `docPath` varchar(256) DEFAULT NULL COMMENT '合成doc后地址',
  `formValue` text COMMENT '表单值',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新人id',
  PRIMARY KEY (`id`),
  KEY `id` (`id`) USING BTREE,
  KEY `openId` (`openId`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COMMENT='用户填单记录';

CREATE TABLE `mortals_xhx_search_history` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `openId` varchar(64) DEFAULT NULL COMMENT '微信openid',
  `idCard` varchar(64) DEFAULT NULL COMMENT '身份证号码',
  `mobile` varchar(64) DEFAULT NULL COMMENT '手机号码',
  `content` varchar(256) DEFAULT NULL COMMENT '搜索内容',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新人id',
  PRIMARY KEY (`id`),
  KEY `id` (`id`) USING BTREE,
  KEY `openId` (`openId`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=35 DEFAULT CHARSET=utf8 COMMENT='用户搜索历史记录';

-- ----------------------------
-- 材料填单二维码表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_datum_fill_qrcode`;
CREATE TABLE `mortals_xhx_datum_fill_qrcode` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键ID，主键，自增长',
  `datumId` bigint(20)DEFAULT NULL COMMENT '材料id',
  `qrcode` varchar(256) DEFAULT NULL COMMENT '二维码存储地址',
  `remark` varchar(1024) DEFAULT NULL COMMENT '备注',
  `createTime` datetime DEFAULT NULL COMMENT '创建时间',
  `createUserId` bigint(20) DEFAULT NULL COMMENT '创建人id',
  `updateTime` datetime DEFAULT NULL COMMENT '更新时间',
  `updateUserId` bigint(20) DEFAULT NULL COMMENT '更新人id',
  PRIMARY KEY (`id`),
  KEY `id` (`id`) USING BTREE,
  KEY `datumId` (`datumId`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='材料填单二维码';