package com.mortals.xhx.module.h5.utils;

import com.alibaba.fastjson.JSONObject;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.util.HttpUtil;
import com.mortals.xhx.module.h5.pdu.WechatInfo;

import java.util.HashMap;
import java.util.Map;

public class WechatInfoUtil {

    public static WechatInfo getWxInfo(String url, String authtoken) {
        try {
            Map<String, String> headerMap = new HashMap<>();
            headerMap.put("Authtoken",authtoken);
            Map<String, String> paramsMap = new HashMap<>();
            String resp = HttpUtil.doPost(url, headerMap,paramsMap);
            JSONObject jsonObject = JSONObject.parseObject(resp);
            if(jsonObject.getIntValue("code")==1){
                WechatInfo wechatInfo = JSONObject.parseObject(jsonObject.getString("data"),WechatInfo.class);
                return wechatInfo;
            }else {
                throw new AppException("用户没有实名信息");
            }
        }catch (Exception e) {
            throw new AppException(e.getMessage());
        }
    }
}
