package com.mortals.xhx.module.user.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.user.model.vo.UserFillHistoryVo;
import lombok.Data;
/**
* 用户填单记录实体对象
*
* @author zxfei
* @date 2025-06-08
*/
@Data
public class UserFillHistoryEntity extends UserFillHistoryVo {
    private static final long serialVersionUID = 1L;

    /**
    * 微信openid
    */
    @Excel(name = "微信openid")
    private String openId;
    /**
    * 身份证号码
    */
    private String idCard;
    /**
    * 手机号码
    */
    private String mobile;
    /**
    * 事项id
    */
    private Long matterId;
    /**
    * 事项名称
    */
    private String matterName;
    /**
    * 材料id
    */
    private Long materialId;
    /**
    * 材料名称
    */
    private String materialName;
    /**
    * 预览地址
    */
    private String preViewPath;
    /**
    * 提交的表单
    */
    private String formContent;
    /**
    * 合成doc后地址
    */
    private String docPath;
    /**
    * 表单值
    */
    private String formValue;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof UserFillHistoryEntity) {
            UserFillHistoryEntity tmp = (UserFillHistoryEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.openId = "";
            this.idCard = "";
            this.mobile = "";
            this.matterId = null;
            this.matterName = "";
            this.materialId = null;
            this.materialName = "";
            this.preViewPath = "";
            this.formContent = "";
            this.docPath = "";
            this.formValue = "";
    }
}